Upstream-Status: Pending
From 4be606f022e3bf42b4b41866152e1213adee2d1f Mon Sep 17 00:00:00 2001
From: Dhaval Shah <dhaval.r.shah@amd.com>
Date: Tue, 18 Oct 2022 14:44:54 +0530
Subject: [PATCH 049/295] crypto: xilinx: Changes to make SHA3 driver self
 discoverable

- Security driver upstreaming related comment for the self discovery of driver instead of
calling of probe function based on the compatible string match.
- Handling self discovery using the platform_device_register_simple
- Driver crash because of the wrong placement of the crypto_register_shash so updated and now
registration is happening properly.

Signed-off-by: Dhaval Shah <dhaval.r.shah@amd.com>
State: pending
[michals: Squashed with
crypto: xilinx: SHA feature check added
crypto: xilinx: pm_feature_check return check updated
crypto: xilinx: sha: handling of platform support check
crypto: xilinx: sha: Fix driver module exit path
crypto: xilinx: sha: Fix code alignment
]
---
 include/linux/firmware/xlnx-zynqmp.h | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/include/linux/firmware/xlnx-zynqmp.h b/include/linux/firmware/xlnx-zynqmp.h
index 5fe2b66130d7..f8d070b3b5af 100644
--- a/include/linux/firmware/xlnx-zynqmp.h
+++ b/include/linux/firmware/xlnx-zynqmp.h
@@ -37,6 +37,12 @@
 /* Firmware feature check version mask */
 #define FIRMWARE_VERSION_MASK		0xFFFFU
 
+#define ZYNQMP_FAMILY_CODE 0x23
+#define VERSAL_FAMILY_CODE 0x26
+
+#define FAMILY_CODE_LSB	21
+#define FAMILY_CODE_MSB	27
+
 /* ATF only commands */
 #define TF_A_PM_REGISTER_SGI		0xa04
 #define PM_GET_TRUSTZONE_VERSION	0xa03
-- 
2.34.1

